const { cpk } = require("./");
const Livecoinwatch = require(".//providers/livecoinwatch.com");
console.log(Livecoinwatch);

async function Main() {
    Cpk.useProviders([Livecoinwatch({ apiKey: "your-api-key" })]);

    // Initialize with config
    const cpk = new Cpk("livecoinwatch.com");

    // Get bitcoin Price and cache for 60 secs by default
    const price = await cpk.get("BTC/USD");
    // or with custom cache time
    const price2 = await cpk.get("BTC/USD", 120); // seconds

    console.log(price); // The current price of bitcoin in USD

    // OR
    // GET Many Prices and cache for 60 secs
    const prices = await cpk.getMany(["BTC/USD", "ETH/USD"], 60);
}

Main().catch(console.log);
